<% logger.info "===total--#{@total}" %>
<% logger.info "===total--#{@end}" %>
<% if @total <= 10 || @end == @total %>
    $('.load-more-btn').hide()
<% else %>
    $('.load-more-btn').show()
<% end %>
<% if params[:job_search][:page].to_i == 1 %>
    $('.jobs_list').empty().append("<%= escape_javascript(render partial: 'jobs_list', '@jobs': @jobs, '@total': @total, type: params[:type])%>")
    $('.jobs_list').show()
    $('#page_number').val("<%= params[:job_search][:page] %>")
<% else %>
    $('.search-lists').append("<%= escape_javascript(render partial: 'job_listing', '@jobs': @jobs)%>")
    var count = "<%= @jobs.count * (params[:job_search][:page].to_i) %>"
    $('#page_number').val("<%= params[:job_search][:page] %>")
    $('.jobs_list .title').empty().html(count + ' Jobs Found')
<% end %>


$('.load_jobs').on('click', function(e){
    e.preventDefault();
    var that = $(this);
    that.off('click');
    var region = $("input[type=radio][name=job_region]").val()
    var search = $('#job_search_search').val()
    var city = $('#job_search_city').val()
    var job_type = $('#job_search_job_type').val()
    var pub_date = $('#job_search_publish_date').val()
    var company = ''
    var country = 'us'
    var page = parseInt($('#page_number').val())
    // var sort = $("input[type=radio][name=sort]").val()
    var sort = $('#sort_by_val').val()

    if($('#job_search_company_name').val() != undefined){
        company = $('#job_search_company_name').val()
    }else {
        company = $('#company_name').val()
    }
    console.log(company);

    if(company != ''){
        if(search != ''){
            search = search + 'company:' + company
        }
        else{
            search = 'company:' + company
        }
    }

    if($("input[type=radio][name=job_region]").val() == 'International'){
        country = $('#job_search_country').val()
    }
    $('.loader').show()
    $.ajax({
        // url: '../jobs/search',
        url: '/interstride/jobs/search',
        dataType: 'script',
        method: 'post',
        data: { 'job_search[job_region]': region, 'job_search[search]': search, 'job_search[job_type]': job_type, 'job_search[publish_date]': pub_date, 'job_search[city]': city, 'job_search[page]': page + 1, 'job_search[country]': country, 'job_search[company_name]': company, 'sort': sort },
        success: function(response){
            $('.loader').hide()
            // e.stopImmediatePropagation();
        },
        failure: function(response){
            $('.loader').hide()
        }
    }).always(function() {
        $('.loader').hide()
        that.on('click') // add handler back after ajax
    });
    $('.loader').hide()
})
$("input[type=radio][name=sort]").change(function(e){
    var AjaxRunning = false;
    e.stopImmediatePropagation()
    var that = $(this);
    that.off('click');
    var region = $("input[type=radio][name=job_region]").val()
    var search = $('#job_search_search').val()
    var city = $('#job_search_city').val()
    var company = ''
    var sort = that.val()
    var job_type = $('#job_type_filter').val()
    $('#sort_by_val').val(sort)
    // $('#sort_by_val').attr('value', sort)
    // document.getElementById('sort_by_val').value = sort
    var country = 'us'
    if($('#job_search_company_name').val() != undefined){
        company = $('#job_search_company_name').val()
    }else {
        company = $('#company_name').val()
    }
    // console.log(company);

    if(company != ''){
        if(search != ''){
            search = search + 'company:' + company
        }
        else{
            search = 'company:' + company
        }
    }

    if($("input[type=radio][name=job_region]").val() == 'International'){
        country = $('#job_search_country').val()
    }
    // if(!AjaxRunning){
        // AjaxRunning = true;
        $('.loader').show()
        $.ajax({
            // url: '../jobs/search',
            url: '/interstride/jobs/search',
            dataType: 'script',
            method: 'post',
            data: { 'job_search[search]': search, 'job_search[page]': 1, 'job_search[company_name]': company, 'job_search[country]': country, 'job_search[city]': city , 'sort': sort, 'job_search[job_type]': job_type },
            success: function(response){
                // e.stopImmediatePropagation();
                // AjaxRunning=false;
                $('.loader').hide()
                // console.log(AjaxRunning);

            },
            failure: function(response){
                // AjaxRunning=fals;
                $('.loader').hide()
                // console.log(AjaxRunning);
            }
        }).always(function() {
            $('.loader').hide()
            that.on('click') // add handler back after ajax
        });
    // }
    $('.loader').hide()
});
$("input[type=radio][name=job_type]").change(function(e){
    // var AjaxRunning = false;
    e.stopImmediatePropagation()
    var that = $(this);
    that.off('click');
    var region = $("input[type=radio][name=job_region]").val()
    var search = $('#job_search_search').val()
    var city = $('#job_search_city').val()
    var company = ''
    var job_type = that.val()
    $('#job_type_filter').val(job_type)
    var sort = $('#sort_by_val').val()
    // $('#sort_by_val').attr('value', sort)
    // document.getElementById('sort_by_val').value = sort
    var country = 'us'
    if($('#job_search_company_name').val() != undefined){
        company = $('#job_search_company_name').val()
    }else {
        company = $('#company_name').val()
    }
    // console.log(company);

    if(company != ''){
        if(search != ''){
            search = search + 'company:' + company
        }
        else{
            search = 'company:' + company
        }
    }

    if($("input[type=radio][name=job_region]").val() == 'International'){
        country = $('#job_search_country').val()
    }
    // if(!AjaxRunning){
        // AjaxRunning = true;
        $('.loader').show()
        $.ajax({
            // url: '../jobs/search',
            url: '/interstride/jobs/search',
            dataType: 'script',
            method: 'post',
            data: { 'job_search[search]': search, 'job_search[page]': 1, 'job_search[company_name]': company, 'job_search[country]': country, 'job_search[city]': city , 'sort': sort, 'job_search[job_type]': job_type },
            success: function(response){
                $('.loader').hide()
                // e.stopImmediatePropagation();
                // AjaxRunning=false;
                // console.log(AjaxRunning);

            },
            failure: function(response){
                $('.loader').hide()
                // AjaxRunning=false;
                // console.log(AjaxRunning);
            }
        }).always(function() {
            $('.loader').hide()
            that.on('click') // add handler back after ajax
        });
    // }
});
search_jobs();
